<!DOCTYPE HTML PUBLIC -//IETF//DTD HTML//EN>
<html>
<head>
<title>Network settings</title>
</head>
<body bgcolor="#FFFFFF" link="#00009b" alink="#00009" vlink="#00009">
<h2>Network settings</h2>

<ol>
<li><i>/etc/resolv.conf</i> should have:
<ul><li>nameserver 192.168.1.17</ul>
<li><i>/etc/sysconfig/network</i> should have:
<ul><li>NETWORKING=yes
<li>HOSTNAME=hostname.geophysics.princeton.edu
<li>GATEWAY=192.168.0.1
<li>GATEWAYDEV=eth0
</ul>
<li><i>/etc/sysconfig/network-scripts/ifcfg-eth0</i> should have (I
believe last three lines are redundant):
<ul><li>DEVICE=eth0
<li>ONBOOT=yes (disable to "no" when starting up unplugged)
<li>BOOTPROTO=protocol <i>where</i> protocol <i>is</i> DHCP <i>for</i>
gezelle (the laptop) <i>or</i> STATIC <i>for </i> melchior (the desktop)
<li>IPADDR=192.168.0.XX <i>where</i> XX <i>is</i> 46 <i>for</i> melchior <i>and</i> 162 <i>for</i> gezelle</i>
<li>NETMASK=255.255.255.0
<li>GATEWAY=192.168.0.1
</ul>
<li>Restart network settings with <b>service network restart</b> or
with <b>/etc/init.d/network restart</b>  
<li>Check settings with <b>netstat -rn</b>
<li>Check settings with <b>host</b> <i>hostname</i> to see if the zone maps
have been updated. This will return IP address etc.
</ol>

<h2>SSH Client and Server</h2>

I was able to do ssh out of, but not ssh into my machine.

<ol>
<li>Check if the sshd daemon is running: <b>service sshd status</b>
<li>Check if the Redhat Package Manager has installed sshd: <b>rpm -qa | grep ssh</b>
<li>Both <i>openssh-server</i> and <i>-client</i> need to show up; they didn't
<li>Get package from <b>ftp ftp.princeton.edu</b>, <b>cd
/redhat/linux/updates/7.3/en/os</b>, <b>mget openssh*</b>
<li>Install/update package: <b>rpm -Uvh openssh*</b>. You don't need
to keep the rpm files after this.
<li>Start ssh daemon; <b>service sshd start</b>
<li><b>chkconfig sshd</b> will turn it on automatically in the future
<li>Check status with <b>chkconfig --list sshd</b>
<li>Add sshd: 192.168.1.3 to the <i>/etc/hosts.allow</i> file so my
machine will allow ssh into it from geophysics.princeton.edu machines.
<li>geophysics.princeton.edu's IP Address is 128.112.22.111 - it's
outside, and will rerout it  to 192.168.1.3 so it'll look like
192.168.1.3 to me for incoming ssh.
<li>On the web, www.geophysics.edu will look like 192.168.0.3
</ol> 

<h2>Firewall implementation to fix <i>mount</i> or <i>ssh</i>
problems</h2>

When trying to mount external disk, got in trouble.
When trying to ssh into my machine, got error: "port 22 connection
refused". Fixed it as follows:

<ol> <li>See what ipchains is up to <b>/sbin/ipchains -L</b> or
<b>/sbin/chkconfig --list ipchains</b> or <b>service ipchains
status</b>.  <li>Need to turn it off: <b>service ipchains stop</b>
<li>This now allows <b>ssh</b> into the machine. But not the problem
with <b>mount</b>.  <li>For that, do more: <b>/sbin/chkconfig --level
0123456 ipchains off</b> to turn ipchains off for all
runlevels. Needed to specify runlevels explicitly, otherwise didn't
turn all of them off for some reason.  <li><b>runlevel</b> will give
you a status.  <li>Check <i>/etc/sysconfig/ipchains</i> and
<i>/etc/init.d/ipchains</i> to get the idea.  </ol>

See further under <a href="mount.html">How to mount a file system</a>.

<h2>Printer setup</h2>

You can follow the <b>printconf-gui</b>, but for <b>tek740</b> you
need to copy  <i>/var/spool/lpd/tek740/lowrtray.ps</i>,
<i>/var/spool/lpd/tek740/middtray.ps</i>, and
<i>/var/spool/lpd/tek740/upprtray.ps</i> from somewhere, as well as
the <i>/bin/tek740</i> scripts. Also create (<b>touch</b>) the
(misspelled) <i>/var/spool/lpd/tek740/transparancy_use</i> file. Make
sure that the directory is accessible (<b>chmod +x</b>) and
<i>transparancy_use</i> writeable.


<h2>To change hostname</h2>

Update the <i>/etc/hosts</i> and <i>/etc/sysconfig/networking</i>
files and then type <b>hostname</b> <i>newname</i>.

<h2>Got account on geophyics.princeton.edu</h2>

Now can ssh from outside into that one, and then into my machine
(which resides under <b>geophysics.princeton.edu</b>!) from it.

<hr>
<address><a href="mailto:fjsimons-at-alum.mit.edu">Frederik Simons</a></address>
<!-- hhmts start -->
Last modified: Thu Feb  5 15:53:28 EST 2004
<!-- hhmts end -->
</body> </html>
